Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class SpringUtilities

    java.lang.Object
      edu.stanford.smi.protege.ui.SpringUtilities

    public class SpringUtilities

extends Object

A 1.4 file that provides utility methods for creating form- or grid-style layouts with SpringLayout. These utilities are used by several programs, such as SpringBox and SpringCompactGrid. Source: http://java.sun.com/docs/books/tutorial/uiswing/layout/examples/SpringUtilities.java

Constructor Summary
`SpringUtilities()`

Method Summary
`static void` | `makeCompactGrid(Container parent, int rows, int cols, int initialX, int initialY, int xPad, int yPad)` Aligns the first `rows` * `cols` components of `parent` in a grid.
`static void` | `makeGrid(Container parent, int rows, int cols, int initialX, int initialY, int xPad, int yPad)` Aligns the first `rows` * `cols` components of `parent` in a grid.
`static void` | `printSizes(Component c)` A debugging utility that prints to stdout the component's minimum, preferred, and maximum sizes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringUtilities

    public SpringUtilities()

Method Detail

### printSizes

    public static void printSizes(Component c)

  A debugging utility that prints to stdout the component's minimum, preferred, and maximum sizes.

### makeGrid

    public static void makeGrid(Container parent,
                                int rows,
                                int cols,
                                int initialX,
                                int initialY,
                                int xPad,
                                int yPad)

  Aligns the first `rows` * `cols` components of `parent` in a grid. Each component is as big as the maximum preferred width and height of the components. The parent is made just big enough to fit them all.

  Parameters:
    `rows` - number of rows
    `cols` - number of columns
    `initialX` - x location to start the grid at
    `initialY` - y location to start the grid at
    `xPad` - x padding between cells
    `yPad` - y padding between cells

### makeCompactGrid

    public static void makeCompactGrid(Container parent,
                                       int rows,
                                       int cols,
                                       int initialX,
                                       int initialY,
                                       int xPad,
                                       int yPad)

  Aligns the first `rows` * `cols` components of `parent` in a grid. Each component in a column is as wide as the maximum preferred width of the components in that column; height is similarly determined for each row. The parent is made just big enough to fit them all.

  Parameters:
    `rows` - number of rows
    `cols` - number of columns
    `initialX` - x location to start the grid at
    `initialY` - y location to start the grid at
    `xPad` - x padding between cells
    `yPad` - y padding between cells

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.